/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 * @format
 */
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _CatchClauseDefinition = require("./CatchClauseDefinition");

Object.keys(_CatchClauseDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _CatchClauseDefinition[key]) return;
  exports[key] = _CatchClauseDefinition[key];
});

var _ComponentNameDefinition = require("./ComponentNameDefinition");

Object.keys(_ComponentNameDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ComponentNameDefinition[key]) return;
  exports[key] = _ComponentNameDefinition[key];
});

var _ClassNameDefinition = require("./ClassNameDefinition");

Object.keys(_ClassNameDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ClassNameDefinition[key]) return;
  exports[key] = _ClassNameDefinition[key];
});

var _Definition = require("./Definition");

Object.keys(_Definition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _Definition[key]) return;
  exports[key] = _Definition[key];
});

var _DefinitionType = require("./DefinitionType");

Object.keys(_DefinitionType).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _DefinitionType[key]) return;
  exports[key] = _DefinitionType[key];
});

var _EnumDefinition = require("./EnumDefinition");

Object.keys(_EnumDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _EnumDefinition[key]) return;
  exports[key] = _EnumDefinition[key];
});

var _FunctionNameDefinition = require("./FunctionNameDefinition");

Object.keys(_FunctionNameDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _FunctionNameDefinition[key]) return;
  exports[key] = _FunctionNameDefinition[key];
});

var _HookNameDefinition = require("./HookNameDefinition");

Object.keys(_HookNameDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _HookNameDefinition[key]) return;
  exports[key] = _HookNameDefinition[key];
});

var _ImplicitGlobalVariableDefinition = require("./ImplicitGlobalVariableDefinition");

Object.keys(_ImplicitGlobalVariableDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ImplicitGlobalVariableDefinition[key]) return;
  exports[key] = _ImplicitGlobalVariableDefinition[key];
});

var _ImportBindingDefinition = require("./ImportBindingDefinition");

Object.keys(_ImportBindingDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ImportBindingDefinition[key]) return;
  exports[key] = _ImportBindingDefinition[key];
});

var _NamespaceNameDefinition = require("./NamespaceNameDefinition");

Object.keys(_NamespaceNameDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _NamespaceNameDefinition[key]) return;
  exports[key] = _NamespaceNameDefinition[key];
});

var _ParameterDefinition = require("./ParameterDefinition");

Object.keys(_ParameterDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ParameterDefinition[key]) return;
  exports[key] = _ParameterDefinition[key];
});

var _TypeDefinition = require("./TypeDefinition");

Object.keys(_TypeDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _TypeDefinition[key]) return;
  exports[key] = _TypeDefinition[key];
});

var _TypeParameterDefinition = require("./TypeParameterDefinition");

Object.keys(_TypeParameterDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _TypeParameterDefinition[key]) return;
  exports[key] = _TypeParameterDefinition[key];
});

var _VariableDefinition = require("./VariableDefinition");

Object.keys(_VariableDefinition).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _VariableDefinition[key]) return;
  exports[key] = _VariableDefinition[key];
});