/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 * @format
 */
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _BlockScope = require("./BlockScope");

Object.keys(_BlockScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _BlockScope[key]) return;
  exports[key] = _BlockScope[key];
});

var _CatchScope = require("./CatchScope");

Object.keys(_CatchScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _CatchScope[key]) return;
  exports[key] = _CatchScope[key];
});

var _ComponentScope = require("./ComponentScope");

Object.keys(_ComponentScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ComponentScope[key]) return;
  exports[key] = _ComponentScope[key];
});

var _ClassFieldInitializerScope = require("./ClassFieldInitializerScope");

Object.keys(_ClassFieldInitializerScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ClassFieldInitializerScope[key]) return;
  exports[key] = _ClassFieldInitializerScope[key];
});

var _ClassScope = require("./ClassScope");

Object.keys(_ClassScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ClassScope[key]) return;
  exports[key] = _ClassScope[key];
});

var _DeclareModuleScope = require("./DeclareModuleScope");

Object.keys(_DeclareModuleScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _DeclareModuleScope[key]) return;
  exports[key] = _DeclareModuleScope[key];
});

var _DeclareNamespaceScope = require("./DeclareNamespaceScope");

Object.keys(_DeclareNamespaceScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _DeclareNamespaceScope[key]) return;
  exports[key] = _DeclareNamespaceScope[key];
});

var _ForScope = require("./ForScope");

Object.keys(_ForScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ForScope[key]) return;
  exports[key] = _ForScope[key];
});

var _FunctionExpressionNameScope = require("./FunctionExpressionNameScope");

Object.keys(_FunctionExpressionNameScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _FunctionExpressionNameScope[key]) return;
  exports[key] = _FunctionExpressionNameScope[key];
});

var _FunctionScope = require("./FunctionScope");

Object.keys(_FunctionScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _FunctionScope[key]) return;
  exports[key] = _FunctionScope[key];
});

var _HookScope = require("./HookScope");

Object.keys(_HookScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _HookScope[key]) return;
  exports[key] = _HookScope[key];
});

var _GlobalScope = require("./GlobalScope");

Object.keys(_GlobalScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _GlobalScope[key]) return;
  exports[key] = _GlobalScope[key];
});

var _MatchCaseScope = require("./MatchCaseScope");

Object.keys(_MatchCaseScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _MatchCaseScope[key]) return;
  exports[key] = _MatchCaseScope[key];
});

var _ModuleScope = require("./ModuleScope");

Object.keys(_ModuleScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ModuleScope[key]) return;
  exports[key] = _ModuleScope[key];
});

var _Scope = require("./Scope");

Object.keys(_Scope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _Scope[key]) return;
  exports[key] = _Scope[key];
});

var _ScopeType = require("./ScopeType");

Object.keys(_ScopeType).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ScopeType[key]) return;
  exports[key] = _ScopeType[key];
});

var _SwitchScope = require("./SwitchScope");

Object.keys(_SwitchScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _SwitchScope[key]) return;
  exports[key] = _SwitchScope[key];
});

var _TypeScope = require("./TypeScope");

Object.keys(_TypeScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _TypeScope[key]) return;
  exports[key] = _TypeScope[key];
});

var _WithScope = require("./WithScope");

Object.keys(_WithScope).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _WithScope[key]) return;
  exports[key] = _WithScope[key];
});